http::HTTPPageList Class Reference

## Public Member Functions

bool | processRequest (HTTPRequest &httpRequest, core::Session *session, HTTPSession *httpSession, std::stringstream &data)
void | add (HTTPPage &page, std::string name="")
void | remove (HTTPPage &page)

## Protected Attributes

std::vector< HTTPPage * > | pages

The documentation for this class was generated from the following files:

- /home/bradarant/barant/HTTPServer/HTTPPageList.h
- /home/bradarant/barant/HTTPServer/HTTPPageList.cpp